/***************************************************************************
 *   Copyright (C) 2007 by Veselin Georgiev                                *
 *   anrieff@mgail.com (convert to GMail)                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "config.h"
#include "display.h"
#include "bitmap.h"

void intro(void)
{
#ifndef DEVELOPER
	display.clear();
	Bitmap bmp;
	if (!bmp.load_embedded("gotangry-intro.bmp")) return;
	
	unsigned *b = display.buffer();
	unsigned *d = bmp.data();
	for (int y = 0; y < bmp.height(); y++) {
		for (int x = 0; x < bmp.width(); x++, d++) {
			b[((config.yres - bmp.height())/2 + y)*config.xres + (config.xres - bmp.width())/2 + x] = *d;
		}
	}
	display.update();
	ui.pause();
#endif // !DEVELOPER
}
